<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Lauv
 */

if(lauv_styles()['project_style'] != 'horizontal') {
	$container = 'container';
} else {
	$container = 'container-fluid';
}

if(lauv_styles()['project_image'] == 'adaptive') {
	$container .= ' adaptive-img';
}

get_header(); ?>

	<main class="main-row">
		<div class="<?php echo esc_attr($container) ?>">
			<?php while ( have_posts() ) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class() ?>>
					<?php 
						$id = get_the_ID();

						$item = get_post($id);

						$thumb = get_post_meta( $id, '_thumbnail_id', true );

						$category = "";
						$category_name = "";
						$category_links_html = "";
						if(is_array(wp_get_post_terms( $id, 'pt-portfolio-category')) && count(wp_get_post_terms( $id, 'pt-portfolio-category')) > 0 && wp_get_post_terms( $id, 'pt-portfolio-category')) {
							foreach (wp_get_post_terms( $id, 'pt-portfolio-category') as $item) {
								$category .= $item->slug.' ';
								$category_name .= $item->name.' / ';
								$category_links_html .= '<a href="'.esc_url(get_term_link($item->term_id)).'">'.esc_html($item->name).'</a>, ';
							}
							$category_links_html = trim($category_links_html, ', ');
						}

						$desc = strip_tags(strip_shortcodes($item->post_content));
						if(iconv_strlen ($desc, 'UTF-8') > 200) {
							$desc = substr($desc, 0, 200);
						}

						$prev = get_permalink(get_adjacent_post(false,'',false));
						$next = get_permalink(get_adjacent_post(false,'',true));

						$prev_name = get_the_title(get_adjacent_post(false,'',false));
						$next_name = get_the_title(get_adjacent_post(false,'',true));
						
						$thumbnails = get_post_meta( $id, 'pt_gallery', true );

						if(is_array($thumbnails)) {
							$count = count($thumbnails);
						} else {
							$count = 0;
						} 

						if($count > 5) {
							$count = 5;
						}

						if(empty($thumbnails) && count($thumbnails) == 0 && lauv_styles()['project_style'] == 'horizontal') {
							lauv_styles()['project_style'] = 'type1';
						}
						
						if(lauv_styles()['project_style'] == 'right_side' || lauv_styles()['project_style'] == 'left_side') { ?>
						<?php wp_enqueue_script( 'sticky-kit', get_template_directory_uri() . '/js/jquery.sticky-kit.min.js', array('jquery') ); ?>
						<div class="site-content">
							<div class="project-side-images <?php echo esc_attr(lauv_styles()['project_style']) ?>">
								<div class="row" data-sticky_parent>
									<div class="content col-xs-12 col-sm-6" data-sticky_column>
										<div class="block">
											<h1 class="h2 page-title"><?php echo esc_html(single_post_title()); ?></h1>
											<div class="text">
												<?php the_content(''); ?>
												<?php if(function_exists('wp_link_pages')) { ?>
													<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
												<?php } ?>
											</div>
											<div class="project-detail">
												<?php if(!empty(lauv_styles()['project_client_name'])) { ?>
													<div class="item"><?php echo esc_html__('client:', 'lauv') ?> <span><?php echo wp_kses_post(lauv_styles()['project_client_name']) ?></span></div>
												<?php } if(!empty($category_links_html)) { ?>
													<div class="item"><?php echo esc_html__('category:', 'lauv') ?> <span><?php echo wp_kses_post($category_links_html) ?></span></div>
												<?php } if(!empty(lauv_styles()['project_year'])) { ?>
													<div class="item"><?php echo esc_html__('year:', 'lauv') ?> <span><?php echo wp_kses_post(lauv_styles()['project_year']) ?></span></div>
												<?php } ?>
											</div>
										</div>
									</div>
									<div class="images col-xs-12 col-sm-6" data-sticky_column>
										<div class="items popup-gallery">
											<?php foreach($thumbnails as $key => $thumb) { 
												$class = '';
												if(is_array($thumbnails) && $key == count($thumbnails)-1) {
													$class = ' last';
												}
												if(lauv_styles()['project_style'] == 'left_side') { ?>
									    			<div class="item popup-item<?php echo esc_attr($class) ?>"><a href="<?php echo esc_url(wp_get_attachment_image_src($thumb, 'large')[0]) ?>" data-size="<?php echo esc_attr(wp_get_attachment_image_src($thumb, 'large')[1]) ?>x<?php echo esc_attr(wp_get_attachment_image_src($thumb, 'large')[2]) ?>"></a><?php echo wp_kses_post(wp_get_attachment_image($thumb, 'large')); ?></div>
								    			<?php } else { ?>
								    				<div class="item popup-item<?php echo esc_attr($class) ?>"><a href="<?php echo esc_url(wp_get_attachment_image_src($thumb, 'large')[0]) ?>" data-size="<?php echo esc_attr(wp_get_attachment_image_src($thumb, 'large')[1]) ?>x<?php echo esc_attr(wp_get_attachment_image_src($thumb, 'large')[2]) ?>" style="background-image: url(<?php echo esc_url(wp_get_attachment_image_src($thumb, 'large')[0]) ?>)"></a></div>
							    				<?php } ?>
								    		<?php } ?>
										</div>
									</div>
								</div>
							</div>
							<div class="project-bottom">
								<div class="container">
									<?php if(get_permalink() != $prev ) { ?>
										<div class="fl">
											<a href="<?php echo esc_url($prev); ?>" class="button-style2 back"><?php echo esc_html__('previous', 'lauv') ?></a>
											<div class="name"><?php echo esc_html($prev_name); ?></div>
										</div>
									<?php } ?>
									<div class="center">
										<a href="<?php echo esc_url(home_url('/')) ?>" class="essential-icons-option-2"></a>
									</div>
									<?php if(get_permalink() != $next ) { ?>
										<div class="fr">
											<a href="<?php echo esc_url($next); ?>" class="button-style2"><?php echo esc_html__('next', 'lauv') ?></a>
											<div class="name"><?php echo esc_html($next_name); ?></div>
										</div>
									<?php } ?>
								</div>
							</div>
						</div>
					<?php } else if(lauv_styles()['project_style'] == 'slider') { ?>
						<div class="site-content project-slider-page">
							<?php if(is_array($thumbnails) && !empty($thumbnails) && count($thumbnails) > 0) { ?>
								<?php
									wp_enqueue_style( 'owl-carousel-css', get_template_directory_uri() . '/css/owl.carousel.css');
							        wp_enqueue_script( 'owl-carousel-js', get_template_directory_uri() . '/js/owl.carousel.min.js', array('jquery') );
							    ?>
						    	<div class="project-slider">
						    		<?php foreach($thumbnails as $thumb) { ?>
						    			<div class="item"><div class="cell"><?php echo wp_kses_post(wp_get_attachment_image($thumb, '')); ?></div></div>
						    		<?php } ?>
						    	</div>
							<?php } else if(!empty($thumb) && empty($thumbnails) && lauv_styles()['project_image'] != 'disable') { ?>
								<div class="post-img"><?php echo wp_get_attachment_image($thumb, ''); ?></div>
							<?php } ?>
							<h1 class="h2 page-title"><?php echo esc_html(single_post_title()); ?></h1>
							<div class="row">
								<div class="project-content col-xs-12 col-sm-7 col-md-8">
									<?php the_content(''); ?>
									<?php if(function_exists('wp_link_pages')) { ?>
										<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
									<?php } ?>
								</div>
								<div class="col-xs-12 col-sm-5 col-md-4">
									<div class="project-detail">
										<?php if(!empty(lauv_styles()['project_client_name'])) { ?>
											<div class="item"><?php echo esc_html__('client:', 'lauv') ?> <span><?php echo wp_kses_post(lauv_styles()['project_client_name']) ?></span></div>
										<?php } if(!empty($category_links_html)) { ?>
											<div class="item"><?php echo esc_html__('category:', 'lauv') ?> <span><?php echo wp_kses_post($category_links_html) ?></span></div>
										<?php } if(!empty(lauv_styles()['project_year'])) { ?>
											<div class="item"><?php echo esc_html__('year:', 'lauv') ?> <span><?php echo wp_kses_post(lauv_styles()['project_year']) ?></span></div>
										<?php } ?>
									</div>
								</div>
							</div>
							<div class="project-bottom">
								<div class="container">
									<?php if(get_permalink() != $prev ) { ?>
										<div class="fl">
											<a href="<?php echo esc_url($prev); ?>" class="button-style2 back"><?php echo esc_html__('previous', 'lauv') ?></a>
											<div class="name"><?php echo esc_html($prev_name); ?></div>
										</div>
									<?php } ?>
									<div class="center">
										<a href="<?php echo esc_url(home_url('/')) ?>" class="essential-icons-option-2"></a>
									</div>
									<?php if(get_permalink() != $next ) { ?>
										<div class="fr">
											<a href="<?php echo esc_url($next); ?>" class="button-style2"><?php echo esc_html__('next', 'lauv') ?></a>
											<div class="name"><?php echo esc_html($next_name); ?></div>
										</div>
									<?php } ?>
								</div>
							</div>
						</div>
					<?php } else if(lauv_styles()['project_style'] == 'masonry') { ?>
						<div class="site-content project-masonry-page">
							<h1 class="h2 page-title"><?php echo esc_html(single_post_title()); ?></h1>
							<div class="row">
								<div class="project-content col-xs-12 col-sm-7 col-md-8">
									<?php the_content(''); ?>
									<?php if(function_exists('wp_link_pages')) { ?>
										<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
									<?php } ?>
								</div>
								<div class="col-xs-12 col-sm-5 col-md-4">
									<div class="project-detail">
										<?php if(!empty(lauv_styles()['project_client_name'])) { ?>
											<div class="item"><?php echo esc_html__('client:', 'lauv') ?> <span><?php echo wp_kses_post(lauv_styles()['project_client_name']) ?></span></div>
										<?php } if(!empty($category_links_html)) { ?>
											<div class="item"><?php echo esc_html__('category:', 'lauv') ?> <span><?php echo wp_kses_post($category_links_html) ?></span></div>
										<?php } if(!empty(lauv_styles()['project_year'])) { ?>
											<div class="item"><?php echo esc_html__('year:', 'lauv') ?> <span><?php echo wp_kses_post(lauv_styles()['project_year']) ?></span></div>
										<?php } ?>
									</div>
								</div>
							</div>
							<?php if(is_array($thumbnails) && !empty($thumbnails) && count($thumbnails) > 0) { ?>
						    	<div class="post-gallery-masonry row popup-gallery">
									<?php foreach($thumbnails as $thumb) { ?>
										<div class="col-xs-12 col-sm-6 popup-item"><a href="<?php echo esc_url(wp_get_attachment_image_src($thumb, '')[0]); ?>" data-size="<?php echo esc_attr(wp_get_attachment_image_src($thumb, '')[1]); ?>x<?php echo esc_attr(wp_get_attachment_image_src($thumb, '')[2]); ?>"><?php echo wp_kses_post(wp_get_attachment_image($thumb, '')); ?></a></div>
									<?php } ?>
								</div>
							<?php } else if(!empty($thumb) && empty($thumbnails) && lauv_styles()['project_image'] != 'disable') { ?>
								<div class="post-img"><?php echo wp_get_attachment_image($thumb, ''); ?></div>
							<?php } ?>
							<div class="project-bottom">
								<div class="container">
									<?php if(get_permalink() != $prev ) { ?>
										<div class="fl">
											<a href="<?php echo esc_url($prev); ?>" class="button-style2 back"><?php echo esc_html__('previous', 'lauv') ?></a>
											<div class="name"><?php echo esc_html($prev_name); ?></div>
										</div>
									<?php } ?>
									<div class="center">
										<a href="<?php echo esc_url(home_url('/')) ?>" class="essential-icons-option-2"></a>
									</div>
									<?php if(get_permalink() != $next ) { ?>
										<div class="fr">
											<a href="<?php echo esc_url($next); ?>" class="button-style2"><?php echo esc_html__('next', 'lauv') ?></a>
											<div class="name"><?php echo esc_html($next_name); ?></div>
										</div>
									<?php } ?>
								</div>
							</div>
						</div>
					<?php } else if(lauv_styles()['project_style'] == 'horizontal') { ?>
						<?php if(is_array($thumbnails) && !empty($thumbnails) && count($thumbnails) > 0) {
							wp_enqueue_style( 'owl-carousel-css', get_template_directory_uri() . '/css/owl.carousel.css');
					        wp_enqueue_script( 'owl-carousel-js', get_template_directory_uri() . '/js/owl.carousel.min.js', array('jquery') );
					    ?>
					    	<div class="project-horizontal-slider">
					    		<div class="item content-item">
					    			<h1 class="h2"><?php echo esc_html(single_post_title()); ?></h1>
									<div class="project-content"><?php the_content(''); ?></div>
									<div class="project-detail">
										<?php if(!empty(lauv_styles()['project_client_name'])) { ?>
											<div class="item"><?php echo esc_html__('client:', 'lauv') ?> <span><?php echo wp_kses_post(lauv_styles()['project_client_name']) ?></span></div>
										<?php } if(!empty($category_links_html)) { ?>
											<div class="item"><?php echo esc_html__('category:', 'lauv') ?> <span><?php echo wp_kses_post($category_links_html) ?></span></div>
										<?php } if(!empty(lauv_styles()['project_year'])) { ?>
											<div class="item"><?php echo esc_html__('year:', 'lauv') ?> <span><?php echo wp_kses_post(lauv_styles()['project_year']) ?></span></div>
										<?php } ?>
									</div>
					    		</div>
					    		<?php foreach($thumbnails as $thumb) { ?>
					    			<div class="item"><?php echo wp_kses_post(wp_get_attachment_image($thumb, '')); ?></div>
					    		<?php } ?>
					    	</div>
						<?php } ?>
					<?php } ?>
				</div>
			<?php endwhile; ?>
		</div>
	</main>

<?php
get_footer();
