<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package lauv
 */


$class = "";

$type = 'horizontal';

$id = get_the_ID(); 
$item = get_post($id);
setup_postdata($item);
$name = $item->post_title;
$thumb = get_post_meta( $id, '_thumbnail_id', true );
$link = get_permalink($id);

$desc_size = '180';

if(function_exists('get_field') && get_field('short_desc')) {
    $desc = get_field('short_desc', $id);
} else {
    $desc = strip_tags(strip_shortcodes($item->post_content));
}

$desc = substr($desc, 0, $desc_size);
$desc = rtrim($desc, "!,.-");
$desc = substr($desc, 0, strrpos($desc, ' '))."...";

$class = "";
if(!empty($thumb)) {
	$class = " with-image";
} else {
	$class = " with-out-image";
}

$category = "";
for ($i=0; $i < count(wp_get_post_terms( $id, 'category')); $i++) {
    $category .= wp_get_post_terms( $id, 'category')[$i]->name.' \ ';
}
$category = trim($category, ' \ ');

$category_links_html = "";
if(count(get_the_category($id)) > 0 && get_the_category($id)) {
	foreach (get_the_category($id) as $item) {
		$category_links_html .= '<a href="'.esc_url(get_category_link($item->cat_ID)).'">'.esc_html($item->name).'</a>, ';
	}
	$category_links_html = trim($category_links_html, ', ');
}

if(class_exists('WPBakeryShortCode')) {
?>
	<article <?php post_class('blog-item col-xs-12 col-sm-6 col-md-4 '.$class) ?>>
	    <div class="wrap">
	        <?php if(!empty($thumb)) { ?>
				<div class="img"><a href="<?php echo esc_url($link); ?>" style="background-image: url(<?php echo esc_url(wp_get_attachment_image_src($thumb, 'large')[0]) ?>);"></a></div>
			<?php } ?>
	        <div class="content">
	            <h5><a href="<?php echo esc_url($link); ?>"><?php echo esc_html($name); ?></a></h5>
	            <div class="blog-detail">
	            	<?php if(is_sticky()) { ?>
						<div class="sticky-a"><i class="fa fa-lock"></i> <span><?php echo esc_html__('Sticky ', 'lauv') ?></span></div>
					<?php } ?>
	                <div class="date"><?php echo get_the_date() ?></div>
	            </div>
	            <?php if(!class_exists('WPBakeryShortCode')) { ?>
					<div class="text"><?php the_content(); ?></div>
				<?php } else { ?>
					<div class="text"><?php echo esc_html($desc); ?></div>
				<?php } if(function_exists('wp_link_pages')) { ?>
					<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>')); ?>
				<?php } ?>
	            <a class="readmore-link" href="<?php echo esc_url(get_permalink($id)) ?>"><?php echo esc_html__('read more','lauv') ?></a>
	        </div>
	    </div>
	</article>
<?php } else { ?> 
	<div id="post-<?php the_ID(); ?>" <?php post_class() ?>>
		<div class="site-content">
			<h1 class="h2 page-title"><a href="<?php echo esc_url($link); ?>"><?php echo esc_html($name); ?></a></h1>
			<?php if(!empty($thumb)) { ?>
				<div class="post-img"><?php echo wp_kses_post(wp_get_attachment_image($thumb, '')); ?></div>
			<?php } ?>
			<div class="blog-detail">
				<?php if(is_sticky()) { ?>
					<div class="sticky-a"><i class="fa fa-lock"></i> <span><?php echo esc_html__('Sticky ', 'lauv') ?></span></div>
				<?php } ?>
				<div class="date"><?php echo get_the_date() ?></div>
				<div class="comments"><a href="<?php echo esc_url($link); ?>#comments"><span><?php echo comments_number(); ?></span></a></div>
			</div>
			<div class="post-content">
				<div class="clearfix">
					<?php the_content(''); ?>
				</div>
				<?php if(function_exists('wp_link_pages')) { ?>
					<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
				<?php } ?>
			</div>
		</div>
	</div>
<?php } wp_reset_postdata(); ?>