<?php

function lauv_iconpicker_css() {
	wp_enqueue_style( 'lauv-iconpicker', get_template_directory_uri().'/css/iconfont.css');
}
add_action( 'wp_enqueue_scripts', 'lauv_iconpicker_css', 100 );

add_action( 'admin_enqueue_scripts', 'load_iconpicker_styles', 100 );
function load_iconpicker_styles() {
	wp_enqueue_style( 'lauv-iconpicker', get_template_directory_uri().'/css/iconfont.css');
}

add_filter( 'vc_iconpicker-type-fontawesome', 'lauv_iconpicker' );
/**
 * Material icon set from Google
 * @since 5.0
 *
 * @param $icons
 *
 * @return array
 */
function lauv_iconpicker( $icons ) {
	$lauv = array(
		'Base Icons (Lauv Pack)' => array(
			array( 'base-icons-browsing' => 'browsing' ),
			array( 'base-icons-camera' => 'camera' ),
			array( 'base-icons-canvas' => 'canvas' ),
			array( 'base-icons-check' => 'check' ),
			array( 'base-icons-envelope' => 'envelope' ),
			array( 'base-icons-idea' => 'idea' ),
			array( 'base-icons-next' => 'next' ),
			array( 'base-icons-prev' => 'prev' ),
			array( 'base-icons-down' => 'down' ),
			array( 'base-icons-up' => 'up' ),
			array( 'base-icons-pencil' => 'pencil' ),
			array( 'base-icons-phone-call' => 'phone call' ),
			array( 'base-icons-placeholder' => 'placeholder' ),
			array( 'base-icons-play-button' => 'play button' ),
			array( 'base-icons-puzzle' => 'puzzle' ),
			array( 'base-icons-remove' => 'remove' ),
			array( 'base-icons-search' => 'search' ),
			array( 'base-icons-right-arrow' => 'right arrow' ),
			array( 'base-icons-left-arrow' => 'left arrow' ),
			array( 'base-icons-down-arrow' => 'down arrow' ),
			array( 'base-icons-up-arrow' => 'up arrow' ),
		),
		'Creative Tools (Lauv Pack)' => array(
			array( 'creative-tools-icons-clock' => 'clock' ),
			array( 'creative-tools-icons-palette' => 'palette' ),
			array( 'creative-tools-icons-vector-1' => 'vector' ),
			array( 'creative-tools-icons-compass' => 'compass' ),
			array( 'creative-tools-icons-pencil-2' => 'pencil' ),
			array( 'creative-tools-icons-pantone' => 'pantone' ),
			array( 'creative-tools-icons-desk-lamp' => 'desk lamp' ),
			array( 'creative-tools-icons-monitor' => 'monitor' ),
			array( 'creative-tools-icons-gears' => 'gears' ),
			array( 'creative-tools-icons-camera-1' => 'camera' ),
			array( 'creative-tools-icons-brain' => 'brain' ),
			array( 'creative-tools-icons-golden-ratio' => 'golden ratio' ),
			array( 'creative-tools-icons-printer' => 'printer' ),
			array( 'creative-tools-icons-video-player' => 'video player' ),
			array( 'creative-tools-icons-idea' => 'idea' ),
			array( 'creative-tools-icons-camera' => 'camera' ),
			array( 'creative-tools-icons-laptop' => 'laptop' ),
			array( 'creative-tools-icons-pointer' => 'pointer' ),
			array( 'creative-tools-icons-smartphone-1' => 'smartphone' ),
			array( 'creative-tools-icons-pencil-1' => 'pencil' ),
			array( 'creative-tools-icons-brush-1' => 'brush' ),
			array( 'creative-tools-icons-vector' => 'vector' ),
			array( 'creative-tools-icons-notes-2' => 'notes' ),
			array( 'creative-tools-icons-protractor' => 'protractor' ),
			array( 'creative-tools-icons-pen-1' => 'pen' ),
			array( 'creative-tools-icons-notebook' => 'notebook' ),
			array( 'creative-tools-icons-mouse' => 'mouse' ),
			array( 'creative-tools-icons-coffee' => 'coffee' ),
			array( 'creative-tools-icons-canvas' => 'canvas' ),
			array( 'creative-tools-icons-paint-roller' => 'paint roller' ),
			array( 'creative-tools-icons-calendar' => 'calendar' ),
			array( 'creative-tools-icons-pen-tablet' => 'pen tablet' ),
			array( 'creative-tools-icons-keyboard' => 'keyboard' ),
			array( 'creative-tools-icons-ipad' => 'ipad' ),
			array( 'creative-tools-icons-studio' => 'studio' ),
			array( 'creative-tools-icons-develop' => 'develop' ),
			array( 'creative-tools-icons-brush' => 'brush' ),
			array( 'creative-tools-icons-notes-1' => 'notes' ),
			array( 'creative-tools-icons-browsing' => 'browsing' ),
			array( 'creative-tools-icons-clapperboard' => 'clapperboard' ),
			array( 'creative-tools-icons-square' => 'square' ),
			array( 'creative-tools-icons-bulb' => 'bulb' ),
			array( 'creative-tools-icons-clipboard' => 'clipboard' ),
			array( 'creative-tools-icons-puzzle' => 'puzzle' ),
			array( 'creative-tools-icons-notes' => 'notes' ),
			array( 'creative-tools-icons-pen' => 'pen' ),
			array( 'creative-tools-icons-smartphone' => 'smartphone' ),
			array( 'creative-tools-icons-text' => 'text' ),
			array( 'creative-tools-icons-pencil' => 'pencil' ),
			array( 'creative-tools-icons-pencil-case' => 'pencil case' ),
		),
		'Essential Icons (Lauv Pack)' => array(
			array( 'essential-icons-wall-clock' => 'wall clock'),
			array( 'essential-icons-home' => 'home'),
			array( 'essential-icons-exchange-2' => 'exchange'),
			array( 'essential-icons-exchange-1' => 'exchange'),
			array( 'essential-icons-forbidden' => 'forbidden'),
			array( 'essential-icons-more' => 'more'),
			array( 'essential-icons-down-arrow-3' => 'down arrow'),
			array( 'essential-icons-right-arrow-3' => 'right arrow'),
			array( 'essential-icons-left-arrow-3' => 'left arrow'),
			array( 'essential-icons-up-arrow-5' => 'up arrow'),
			array( 'essential-icons-up-arrow-4' => 'up arrow'),
			array( 'essential-icons-remove-4' => 'remove'),
			array( 'essential-icons-add-2' => 'add'),
			array( 'essential-icons-copy-1' => 'copy'),
			array( 'essential-icons-tag-2' => 'tag'),
			array( 'essential-icons-tag-1' => 'tag'),
			array( 'essential-icons-tag' => 'tag'),
			array( 'essential-icons-move' => 'move'),
			array( 'essential-icons-exchange' => 'exchange'),
			array( 'essential-icons-sort' => 'sort'),
			array( 'essential-icons-trash-5' => 'trash'),
			array( 'essential-icons-diagonal-arrow-8' => 'diagonal arrow'),
			array( 'essential-icons-switch-2' => 'switch'),
			array( 'essential-icons-switch-1' => 'switch'),
			array( 'essential-icons-switch' => 'switch'),
			array( 'essential-icons-option-2' => 'option'),
			array( 'essential-icons-write-1' => 'write'),
			array( 'essential-icons-write' => 'write'),
			array( 'essential-icons-trash-4' => 'trash'),
			array( 'essential-icons-trash-3' => 'trash'),
			array( 'essential-icons-trash-2' => 'trash'),
			array( 'essential-icons-trash-1' => 'trash'),
			array( 'essential-icons-diagonal-arrow-7' => 'diagonal arrow'),
			array( 'essential-icons-trash' => 'trash'),
			array( 'essential-icons-help' => 'help'),
			array( 'essential-icons-levels-1' => 'levels'),
			array( 'essential-icons-levels' => 'levels'),
			array( 'essential-icons-padlock-5' => 'padlock'),
			array( 'essential-icons-padlock-4' => 'padlock'),
			array( 'essential-icons-warning' => 'warning'),
			array( 'essential-icons-question-1' => 'question'),
			array( 'essential-icons-info-2' => 'info'),
			array( 'essential-icons-check-2' => 'check'),
			array( 'essential-icons-diagonal-arrow-6' => 'diagonal arrow'),
			array( 'essential-icons-remove-3' => 'remove'),
			array( 'essential-icons-remove-2' => 'remove'),
			array( 'essential-icons-add-1' => 'add'),
			array( 'essential-icons-padlock-3' => 'padlock'),
			array( 'essential-icons-padlock-2' => 'padlock'),
			array( 'essential-icons-search-2' => 'search'),
			array( 'essential-icons-zoom-out-2' => 'zoom out'),
			array( 'essential-icons-zoom-in-2' => 'zoom in'),
			array( 'essential-icons-zoom-out-1' => 'zoom out'),
			array( 'essential-icons-zoom-in-1' => 'zoom in'),
			array( 'essential-icons-diagonal' => 'diagonal'),
			array( 'essential-icons-search-1' => 'search'),
			array( 'essential-icons-copy' => 'copy'),
			array( 'essential-icons-list-1' => 'list'),
			array( 'essential-icons-list' => 'list'),
			array( 'essential-icons-check-1' => 'check'),
			array( 'essential-icons-settings-1' => 'settings'),
			array( 'essential-icons-settings' => 'settings'),
			array( 'essential-icons-zoom-out' => 'zoom out'),
			array( 'essential-icons-zoom-in' => 'zoom in'),
			array( 'essential-icons-search' => 'search'),
			array( 'essential-icons-left-arrow-2' => 'left arrow'),
			array( 'essential-icons-output' => 'output'),
			array( 'essential-icons-diagonal-arrow-5' => 'diagonal arrow'),
			array( 'essential-icons-diagonal-arrow-4' => 'diagonal arrow'),
			array( 'essential-icons-up-arrow-3' => 'up arrow'),
			array( 'essential-icons-down-arrow-2' => 'down arrow'),
			array( 'essential-icons-notification' => 'notification'),
			array( 'essential-icons-info-1' => 'info'),
			array( 'essential-icons-padlock-1' => 'padlock'),
			array( 'essential-icons-padlock' => 'padlock'),
			array( 'essential-icons-up-arrow-2' => 'up arrow'),
			array( 'essential-icons-right-arrow-2' => 'right arrow'),
			array( 'essential-icons-download-1' => 'download'),
			array( 'essential-icons-option-1' => 'option'),
			array( 'essential-icons-option' => 'option'),
			array( 'essential-icons-question' => 'question'),
			array( 'essential-icons-info' => 'info'),
			array( 'essential-icons-check' => 'check'),
			array( 'essential-icons-remove-1' => 'remove'),
			array( 'essential-icons-remove' => 'remove'),
			array( 'essential-icons-add' => 'add'),
			array( 'essential-icons-left-arrow-1' => 'left arrow'),
			array( 'essential-icons-down-arrow-1' => 'down arrow'),
			array( 'essential-icons-right-arrow-1' => 'right arrow'),
			array( 'essential-icons-down-arrow' => 'down arrow'),
			array( 'essential-icons-up-arrow-1' => 'up arrow'),
			array( 'essential-icons-diagonal-arrow-3' => 'diagonal arrow'),
			array( 'essential-icons-diagonal-arrow-2' => 'diagonal arrow'),
			array( 'essential-icons-diagonal-arrow-1' => 'diagonal arrow'),
			array( 'essential-icons-diagonal-arrow' => 'diagonal arrow'),
			array( 'essential-icons-left-arrow' => 'left arrow'),
			array( 'essential-icons-right-arrow' => 'right arrow'),
			array( 'essential-icons-compass' => 'compass'),
			array( 'essential-icons-download' => 'download'),
			array( 'essential-icons-up-arrow' => 'up arrow'),
		),
		'Multimedia Icons (Lauv Pack)' => array(
			array( 'multimedia-icons-avatar' => 'avatar' ),
			array( 'multimedia-icons-avatar-1' => 'avatar' ),
			array( 'multimedia-icons-back' => 'back' ),
			array( 'multimedia-icons-book' => 'book' ),
			array( 'multimedia-icons-cancel' => 'cancel' ),
			array( 'multimedia-icons-chat' => 'chat' ),
			array( 'multimedia-icons-chat-1' => 'chat' ),
			array( 'multimedia-icons-chat-2' => 'chat' ),
			array( 'multimedia-icons-copy' => 'copy' ),
			array( 'multimedia-icons-dislike' => 'dislike' ),
			array( 'multimedia-icons-download' => 'download' ),
			array( 'multimedia-icons-download-1' => 'download' ),
			array( 'multimedia-icons-edit' => 'edit' ),
			array( 'multimedia-icons-envelope' => 'envelope' ),
			array( 'multimedia-icons-folder' => 'folder' ),
			array( 'multimedia-icons-garbage' => 'garbage' ),
			array( 'multimedia-icons-glasses' => 'glasses' ),
			array( 'multimedia-icons-hand' => 'hand' ),
			array( 'multimedia-icons-headphones' => 'headphones' ),
			array( 'multimedia-icons-heart' => 'heart' ),
			array( 'multimedia-icons-house' => 'house' ),
			array( 'multimedia-icons-like' => 'like' ),
			array( 'multimedia-icons-link' => 'link' ),
			array( 'multimedia-icons-logout' => 'logout' ),
			array( 'multimedia-icons-magnifying-glass' => 'magnifying glass' ),
			array( 'multimedia-icons-monitor' => 'monitor' ),
			array( 'multimedia-icons-musical-note' => 'musical note' ),
			array( 'multimedia-icons-next' => 'next' ),
			array( 'multimedia-icons-next-1' => 'next' ),
			array( 'multimedia-icons-padlock' => 'padlock' ),
			array( 'multimedia-icons-paper-plane' => 'paper plane' ),
			array( 'multimedia-icons-phone-call' => 'phone call' ),
			array( 'multimedia-icons-photo-camera' => 'photo camera' ),
			array( 'multimedia-icons-pie-chart' => 'pie chart' ),
			array( 'multimedia-icons-piggy-bank' => 'piggy bank' ),
			array( 'multimedia-icons-placeholder' => 'placeholder' ),
			array( 'multimedia-icons-printer' => 'printer' ),
			array( 'multimedia-icons-reload' => 'reload' ),
			array( 'multimedia-icons-settings' => 'settings' ),
			array( 'multimedia-icons-settings-1' => 'settings' ),
			array( 'multimedia-icons-share' => 'share' ),
			array( 'multimedia-icons-shopping-bag' => 'shopping bag' ),
			array( 'multimedia-icons-shopping-cart' => 'shopping cart' ),
			array( 'multimedia-icons-shuffle' => 'shuffle' ),
			array( 'multimedia-icons-speaker' => 'speaker' ),
			array( 'multimedia-icons-star' => 'star' ),
			array( 'multimedia-icons-tag' => 'tag' ),
			array( 'multimedia-icons-upload' => 'upload' ),
			array( 'multimedia-icons-upload-1' => 'upload' ),
			array( 'multimedia-icons-vector' => 'vector' ),
		),
		'Social Icons (Lauv Pack)' => array(
			array( 'social-media-icons-youtube' => 'youtube' ),
			array( 'social-media-icons-yahoo' => 'yahoo' ),
			array( 'social-media-icons-wordpress' => 'wordpress' ),
			array( 'social-media-icons-whatsapp' => 'whatsapp' ),
			array( 'social-media-icons-vimeo' => 'vimeo' ),
			array( 'social-media-icons-viber' => 'viber' ),
			array( 'social-media-icons-twitter-1' => 'twitter' ),
			array( 'social-media-icons-twitter' => 'twitter' ),
			array( 'social-media-icons-tumblr' => 'tumblr' ),
			array( 'social-media-icons-stumbleupon' => 'stumbleupon' ),
			array( 'social-media-icons-soundcloud' => 'soundcloud' ),
			array( 'social-media-icons-microsoft' => 'microsoft' ),
			array( 'social-media-icons-snapchat' => 'snapchat' ),
			array( 'social-media-icons-skype' => 'skype' ),
			array( 'social-media-icons-rss' => 'rss' ),
			array( 'social-media-icons-reddit' => 'reddit' ),
			array( 'social-media-icons-pinterest' => 'pinterest' ),
			array( 'social-media-icons-myspace' => 'myspace' ),
			array( 'social-media-icons-linkedin' => 'linkedin' ),
			array( 'social-media-icons-instagram' => 'instagram' ),
			array( 'social-media-icons-social-media' => 'social media' ),
			array( 'social-media-icons-flickr' => 'flickr' ),
			array( 'social-media-icons-facebook' => 'facebook' ),
			array( 'social-media-icons-envato' => 'envato' ),
			array( 'social-media-icons-dropbox' => 'dropbox' ),
			array( 'social-media-icons-dribbble' => 'dribbble' ),
			array( 'social-media-icons-badoo' => 'badoo' ),
			array( 'social-media-icons-blogger' => 'blogger' ),
			array( 'social-media-icons-bebo' => 'bebo' ),
			array( 'social-media-icons-behance' => 'behance' ),
			array( 'social-media-icons-ask' => 'ask' ),
		),
		'UI Icons (Lauv Pack)' => array(
			array( 'ui-icons-firefox' => 'firefox' ),
			array( 'ui-icons-disabled' => 'disabled' ),
			array( 'ui-icons-qr-code' => 'qr code' ),
			array( 'ui-icons-scissors' => 'scissors' ),
			array( 'ui-icons-tools' => 'tools' ),
			array( 'ui-icons-piggy-bank' => 'piggy bank' ),
			array( 'ui-icons-binoculars' => 'binoculars' ),
			array( 'ui-icons-shopping-cart' => 'shopping cart' ),
			array( 'ui-icons-money' => 'money' ),
			array( 'ui-icons-thermometer' => 'thermometer' ),
			array( 'ui-icons-umbrella' => 'umbrella' ),
			array( 'ui-icons-dashboard' => 'dashboard' ),
			array( 'ui-icons-pin-1' => 'pin' ),
			array( 'ui-icons-megaphone' => 'megaphone' ),
			array( 'ui-icons-youtube' => 'youtube' ),
			array( 'ui-icons-wind' => 'wind' ),
			array( 'ui-icons-safari' => 'safari' ),
			array( 'ui-icons-chrome' => 'chrome' ),
			array( 'ui-icons-headphones' => 'headphones' ),
			array( 'ui-icons-twitter' => 'twitter' ),
			array( 'ui-icons-target' => 'target' ),
			array( 'ui-icons-leaf' => 'leaf' ),
			array( 'ui-icons-highlighter' => 'highlighter' ),
			array( 'ui-icons-smartphone' => 'smartphone' ),
			array( 'ui-icons-screenshot' => 'screenshot' ),
			array( 'ui-icons-power-button' => 'power button' ),
			array( 'ui-icons-question' => 'question' ),
			array( 'ui-icons-push-pin' => 'push pin' ),
			array( 'ui-icons-flag' => 'flag' ),
			array( 'ui-icons-moon' => 'moon' ),
			array( 'ui-icons-video-camera' => 'video camera' ),
			array( 'ui-icons-music' => 'music' ),
			array( 'ui-icons-print' => 'print' ),
			array( 'ui-icons-diskette' => 'diskette' ),
			array( 'ui-icons-paste' => 'paste' ),
			array( 'ui-icons-mute-1' => 'mute' ),
			array( 'ui-icons-paint-bucket' => 'paint bucket' ),
			array( 'ui-icons-clicker' => 'clicker' ),
			array( 'ui-icons-dislike' => 'dislike' ),
			array( 'ui-icons-like' => 'like' ),
			array( 'ui-icons-straight' => 'straight' ),
			array( 'ui-icons-joke' => 'joke' ),
			array( 'ui-icons-surprise' => 'surprise' ),
			array( 'ui-icons-balance' => 'balance' ),
			array( 'ui-icons-trash-can-1' => 'trash can' ),
			array( 'ui-icons-trash-can' => 'trash can' ),
			array( 'ui-icons-telephone-2' => 'telephone' ),
			array( 'ui-icons-telephone-1' => 'telephone' ),
			array( 'ui-icons-telephone' => 'telephone' ),
			array( 'ui-icons-thunderbolt' => 'thunderbolt' ),
			array( 'ui-icons-snowflake' => 'snowflake' ),
			array( 'ui-icons-sun' => 'sun' ),
			array( 'ui-icons-home' => 'home' ),
			array( 'ui-icons-microphone' => 'microphone' ),
			array( 'ui-icons-idea' => 'idea' ),
			array( 'ui-icons-layout' => 'layout' ),
			array( 'ui-icons-upload' => 'upload' ),
			array( 'ui-icons-down-arrow-3' => 'down arrow' ),
			array( 'ui-icons-medal' => 'medal' ),
			array( 'ui-icons-hierarchical-structure' => 'hierarchical structure' ),
			array( 'ui-icons-pie-chart' => 'pie chart' ),
			array( 'ui-icons-check' => 'check' ),
			array( 'ui-icons-followers' => 'followers' ),
			array( 'ui-icons-user-2' => 'user' ),
			array( 'ui-icons-bookmark' => 'bookmark' ),
			array( 'ui-icons-usb' => 'usb' ),
			array( 'ui-icons-mute' => 'mute' ),
			array( 'ui-icons-volume' => 'volume' ),
			array( 'ui-icons-bluetooth' => 'bluetooth' ),
			array( 'ui-icons-monitor' => 'monitor' ),
			array( 'ui-icons-smile-1' => 'smile' ),
			array( 'ui-icons-diamond' => 'diamond' ),
			array( 'ui-icons-bar-chart' => 'bar chart' ),
			array( 'ui-icons-wifi' => 'wifi' ),
			array( 'ui-icons-key' => 'key' ),
			array( 'ui-icons-equalizer' => 'equalizer' ),
			array( 'ui-icons-credit-card' => 'credit card' ),
			array( 'ui-icons-share' => 'share' ),
			array( 'ui-icons-loading' => 'loading' ),
			array( 'ui-icons-instagram' => 'instagram' ),
			array( 'ui-icons-link' => 'link' ),
			array( 'ui-icons-broken-link' => 'broken link' ),
			array( 'ui-icons-smile' => 'smile' ),
			array( 'ui-icons-crop' => 'crop' ),
			array( 'ui-icons-sad' => 'sad' ),
			array( 'ui-icons-cursor' => 'cursor' ),
			array( 'ui-icons-user-1' => 'user' ),
			array( 'ui-icons-add-user' => 'add user' ),
			array( 'ui-icons-pause' => 'pause' ),
			array( 'ui-icons-stop' => 'stop' ),
			array( 'ui-icons-play-button' => 'play button' ),
			array( 'ui-icons-move' => 'move' ),
			array( 'ui-icons-film' => 'film' ),
			array( 'ui-icons-rewind' => 'rewind' ),
			array( 'ui-icons-cloud-computing-2' => 'cloud computing' ),
			array( 'ui-icons-cloud-computing-1' => 'cloud computing' ),
			array( 'ui-icons-user' => 'user' ),
			array( 'ui-icons-star' => 'star' ),
			array( 'ui-icons-facebook' => 'facebook' ),
			array( 'ui-icons-cloud-computing' => 'cloud computing' ),
			array( 'ui-icons-briefcase' => 'briefcase' ),
			array( 'ui-icons-fast-forward' => 'fast forward' ),
			array( 'ui-icons-delete' => 'delete' ),
			array( 'ui-icons-shield' => 'shield' ),
			array( 'ui-icons-calculator' => 'calculator' ),
			array( 'ui-icons-photo-camera' => 'photo camera' ),
			array( 'ui-icons-select' => 'select' ),
			array( 'ui-icons-shuffle' => 'shuffle' ),
			array( 'ui-icons-compass' => 'compass' ),
			array( 'ui-icons-folder' => 'folder' ),
			array( 'ui-icons-minus' => 'minus' ),
			array( 'ui-icons-plus' => 'plus' ),
			array( 'ui-icons-file-1' => 'file' ),
			array( 'ui-icons-align-right' => 'align right' ),
			array( 'ui-icons-expand' => 'expand' ),
			array( 'ui-icons-internet' => 'internet' ),
			array( 'ui-icons-justify' => 'justify' ),
			array( 'ui-icons-file' => 'file' ),
			array( 'ui-icons-tag' => 'tag' ),
			array( 'ui-icons-minimize' => 'minimize' ),
			array( 'ui-icons-switch-off' => 'switch off' ),
			array( 'ui-icons-heart' => 'heart' ),
			array( 'ui-icons-attachment' => 'attachment' ),
			array( 'ui-icons-cube' => 'cube' ),
			array( 'ui-icons-information' => 'information' ),
			array( 'ui-icons-eye' => 'eye' ),
			array( 'ui-icons-hide' => 'hide' ),
			array( 'ui-icons-log-out' => 'log out' ),
			array( 'ui-icons-align-left' => 'align left' ),
			array( 'ui-icons-puzzle' => 'puzzle' ),
			array( 'ui-icons-switch' => 'switch' ),
			array( 'ui-icons-picture' => 'picture' ),
			array( 'ui-icons-pin' => 'pin' ),
			array( 'ui-icons-right-arrow-2' => 'right arrow' ),
			array( 'ui-icons-refresh' => 'refresh' ),
			array( 'ui-icons-filter' => 'filter' ),
			array( 'ui-icons-edit-1' => 'edit' ),
			array( 'ui-icons-log-in' => 'log in' ),
			array( 'ui-icons-reply-all' => 'reply all' ),
			array( 'ui-icons-reply' => 'reply' ),
			array( 'ui-icons-silence' => 'silence' ),
			array( 'ui-icons-settings' => 'settings' ),
			array( 'ui-icons-inbox' => 'inbox' ),
			array( 'ui-icons-left-arrow-2' => 'left arrow' ),
			array( 'ui-icons-outbox' => 'outbox' ),
			array( 'ui-icons-menu-1' => 'menu' ),
			array( 'ui-icons-left-arrow-1' => 'left arrow' ),
			array( 'ui-icons-right-arrow-1' => 'right arrow' ),
			array( 'ui-icons-down-arrow-2' => 'down arrow' ),
			array( 'ui-icons-up-arrow-2' => 'up arrow' ),
			array( 'ui-icons-alarm' => 'alarm' ),
			array( 'ui-icons-left-arrow' => 'left arrow' ),
			array( 'ui-icons-down-arrow-1' => 'down arrow' ),
			array( 'ui-icons-down-arrow' => 'down arrow' ),
			array( 'ui-icons-right-arrow' => 'right arrow' ),
			array( 'ui-icons-up-arrow-1' => 'up arrow' ),
			array( 'ui-icons-eraser' => 'eraser' ),
			array( 'ui-icons-unlock' => 'unlock' ),
			array( 'ui-icons-email' => 'email' ),
			array( 'ui-icons-chat' => 'chat' ),
			array( 'ui-icons-bell' => 'bell' ),
			array( 'ui-icons-edit' => 'edit' ),
			array( 'ui-icons-calendar' => 'calendar' ),
			array( 'ui-icons-up-arrow' => 'up arrow' ),
			array( 'ui-icons-menu' => 'menu' ),
			array( 'ui-icons-hourglass' => 'hourglass' ),
			array( 'ui-icons-wall-clock' => 'wall clock' ),
			array( 'ui-icons-padlock' => 'padlock' ),
		),
	);

	return array_merge( $icons, $lauv );
}