<?php

// Element Description: PT Social Icons

class PT_Social_Icons extends WPBakeryShortCode {
     
    // Element Init
    function __construct() {
        add_action( 'init', array( $this, 'pt_social_icons_mapping' ) );
        add_shortcode( 'pt_social_icons', array( $this, 'pt_social_icons_html' ) );
    }
     
    // Element Mapping
    public function pt_social_icons_mapping() {
         
        // Stop all if VC is not enabled
        if ( !defined( 'WPB_VC_VERSION' ) ) {
            return;
        }
         
        // Map the block with vc_map()
        vc_map( array(
            "name" => esc_html__("Social Icons", "lauv"),
            "base" => "pt_social_icons",
            "show_settings_on_create" => true,
            "icon" => "shortcode-icon-social-icons",
            "category" => esc_html__("By PT", "lauv"),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "class" => "",
                    "heading" => esc_html__("Align", "lauv"),
                    "param_name" => "align",
                    "admin_label" => true,
                    "value" => array(
                        esc_html__("Left", "lauv") => "tal", 
                        esc_html__("Center", "lauv") => "tac", 
                        esc_html__("Right", "lauv") => "tar", 
                    ),
                ),
                array(
                    "type"        => "dropdown",
                    "heading"     => esc_html__( "Social icon 1", "lauv" ),
                    "edit_field_class" => "vc_col-xs-6",
                    "param_name"  => "social_icon_1",
                    "value"      => array(
                        esc_html__('---', 'lauv') => "",
                        esc_html__('500px', 'lauv') => 'fa fa-500px,500px',
                        esc_html__('App.net', 'lauv') => 'fa fa-adn,App.net',
                        esc_html__('Bitbucket', 'lauv') => 'fa fa-bitbucket,Bitbucket',
                        esc_html__('Dropbox', 'lauv') => 'social-media-icons-dropbox,Dropbox',
                        esc_html__('Facebook', 'lauv') => 'social-media-icons-facebook,Facebook',
                        esc_html__('Flickr', 'lauv') => 'social-media-icons-flickr,Flickr',
                        esc_html__('Foursquare', 'lauv') => 'fa fa-foursquare,Foursquare',
                        esc_html__('GitHub', 'lauv') => 'fa fa-github,GitHub',
                        esc_html__('Google', 'lauv') => 'fa fa-google,Google',
                        esc_html__('Instagram', 'lauv') => 'social-media-icons-instagram,Instagram',
                        esc_html__('LinkedIn', 'lauv') => 'social-media-icons-linkedin,LinkedIn',
                        esc_html__('Windows', 'lauv') => 'fa fa-windows,Windows',
                        esc_html__('Odnoklassniki', 'lauv') => 'fa fa-odnoklassniki,Odnoklassniki',
                        esc_html__('OpenID', 'lauv') => 'fa fa-openid,OpenID',
                        esc_html__('Pinterest', 'lauv') => 'social-media-icons-pinterest,Pinterest',
                        esc_html__('Reddit', 'lauv') => 'social-media-icons-reddit,Reddit',
                        esc_html__('SoundCloud', 'lauv') => 'social-media-icons-soundcloud,SoundCloud',
                        esc_html__('Tumblr', 'lauv') => 'social-media-icons-tumblr,Tumblr',
                        esc_html__('Twitter', 'lauv') => 'social-media-icons-twitter,Twitter',
                        esc_html__('Vimeo', 'lauv') => 'social-media-icons-vimeo,Vimeo',
                        esc_html__('VK', 'lauv') => 'fa fa-vk,VK',
                        esc_html__('Yahoo', 'lauv') => 'social-media-icons-yahoo,Yahoo',
                        esc_html__('Youtube', 'lauv') => 'social-media-icons-youtube,Youtube',
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Social link 1", "lauv"),
                    "edit_field_class" => "vc_col-xs-6",
                    "param_name" => "social_link_1",
                ),
                array(
                    "type"        => "dropdown",
                    "heading"     => esc_html__( "Social icon 2", "lauv" ),
                    "edit_field_class" => "vc_col-xs-6",
                    "param_name"  => "social_icon_2",
                    "value"      => array(
                        esc_html__('---', 'lauv') => "",
                        esc_html__('500px', 'lauv') => 'fa fa-500px,500px',
                        esc_html__('App.net', 'lauv') => 'fa fa-adn,App.net',
                        esc_html__('Bitbucket', 'lauv') => 'fa fa-bitbucket,Bitbucket',
                        esc_html__('Dropbox', 'lauv') => 'social-media-icons-dropbox,Dropbox',
                        esc_html__('Facebook', 'lauv') => 'social-media-icons-facebook,Facebook',
                        esc_html__('Flickr', 'lauv') => 'social-media-icons-flickr,Flickr',
                        esc_html__('Foursquare', 'lauv') => 'fa fa-foursquare,Foursquare',
                        esc_html__('GitHub', 'lauv') => 'fa fa-github,GitHub',
                        esc_html__('Google', 'lauv') => 'fa fa-google,Google',
                        esc_html__('Instagram', 'lauv') => 'social-media-icons-instagram,Instagram',
                        esc_html__('LinkedIn', 'lauv') => 'social-media-icons-linkedin,LinkedIn',
                        esc_html__('Windows', 'lauv') => 'fa fa-windows,Windows',
                        esc_html__('Odnoklassniki', 'lauv') => 'fa fa-odnoklassniki,Odnoklassniki',
                        esc_html__('OpenID', 'lauv') => 'fa fa-openid,OpenID',
                        esc_html__('Pinterest', 'lauv') => 'social-media-icons-pinterest,Pinterest',
                        esc_html__('Reddit', 'lauv') => 'social-media-icons-reddit,Reddit',
                        esc_html__('SoundCloud', 'lauv') => 'social-media-icons-soundcloud,SoundCloud',
                        esc_html__('Tumblr', 'lauv') => 'social-media-icons-tumblr,Tumblr',
                        esc_html__('Twitter', 'lauv') => 'social-media-icons-twitter,Twitter',
                        esc_html__('Vimeo', 'lauv') => 'social-media-icons-vimeo,Vimeo',
                        esc_html__('VK', 'lauv') => 'fa fa-vk,VK',
                        esc_html__('Yahoo', 'lauv') => 'social-media-icons-yahoo,Yahoo',
                        esc_html__('Youtube', 'lauv') => 'social-media-icons-youtube,Youtube',
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Social link 2", "lauv"),
                    "edit_field_class" => "vc_col-xs-6",
                    "param_name" => "social_link_2",
                ),
                array(
                    "type"        => "dropdown",
                    "heading"     => esc_html__( "Social icon 3", "lauv" ),
                    "edit_field_class" => "vc_col-xs-6",
                    "param_name"  => "social_icon_3",
                    "value"      => array(
                        esc_html__('---', 'lauv') => "",
                        esc_html__('500px', 'lauv') => 'fa fa-500px,500px',
                        esc_html__('App.net', 'lauv') => 'fa fa-adn,App.net',
                        esc_html__('Bitbucket', 'lauv') => 'fa fa-bitbucket,Bitbucket',
                        esc_html__('Dropbox', 'lauv') => 'social-media-icons-dropbox,Dropbox',
                        esc_html__('Facebook', 'lauv') => 'social-media-icons-facebook,Facebook',
                        esc_html__('Flickr', 'lauv') => 'social-media-icons-flickr,Flickr',
                        esc_html__('Foursquare', 'lauv') => 'fa fa-foursquare,Foursquare',
                        esc_html__('GitHub', 'lauv') => 'fa fa-github,GitHub',
                        esc_html__('Google', 'lauv') => 'fa fa-google,Google',
                        esc_html__('Instagram', 'lauv') => 'social-media-icons-instagram,Instagram',
                        esc_html__('LinkedIn', 'lauv') => 'social-media-icons-linkedin,LinkedIn',
                        esc_html__('Windows', 'lauv') => 'fa fa-windows,Windows',
                        esc_html__('Odnoklassniki', 'lauv') => 'fa fa-odnoklassniki,Odnoklassniki',
                        esc_html__('OpenID', 'lauv') => 'fa fa-openid,OpenID',
                        esc_html__('Pinterest', 'lauv') => 'social-media-icons-pinterest,Pinterest',
                        esc_html__('Reddit', 'lauv') => 'social-media-icons-reddit,Reddit',
                        esc_html__('SoundCloud', 'lauv') => 'social-media-icons-soundcloud,SoundCloud',
                        esc_html__('Tumblr', 'lauv') => 'social-media-icons-tumblr,Tumblr',
                        esc_html__('Twitter', 'lauv') => 'social-media-icons-twitter,Twitter',
                        esc_html__('Vimeo', 'lauv') => 'social-media-icons-vimeo,Vimeo',
                        esc_html__('VK', 'lauv') => 'fa fa-vk,VK',
                        esc_html__('Yahoo', 'lauv') => 'social-media-icons-yahoo,Yahoo',
                        esc_html__('Youtube', 'lauv') => 'social-media-icons-youtube,Youtube',
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Social link 3", "lauv"),
                    "edit_field_class" => "vc_col-xs-6",
                    "param_name" => "social_link_3",
                ),
                array(
                    "type"        => "dropdown",
                    "heading"     => esc_html__( "Social icon 4", "lauv" ),
                    "edit_field_class" => "vc_col-xs-6",
                    "param_name"  => "social_icon_4",
                    "value"      => array(
                        esc_html__('---', 'lauv') => "",
                        esc_html__('500px', 'lauv') => 'fa fa-500px,500px',
                        esc_html__('App.net', 'lauv') => 'fa fa-adn,App.net',
                        esc_html__('Bitbucket', 'lauv') => 'fa fa-bitbucket,Bitbucket',
                        esc_html__('Dropbox', 'lauv') => 'social-media-icons-dropbox,Dropbox',
                        esc_html__('Facebook', 'lauv') => 'social-media-icons-facebook,Facebook',
                        esc_html__('Flickr', 'lauv') => 'social-media-icons-flickr,Flickr',
                        esc_html__('Foursquare', 'lauv') => 'fa fa-foursquare,Foursquare',
                        esc_html__('GitHub', 'lauv') => 'fa fa-github,GitHub',
                        esc_html__('Google', 'lauv') => 'fa fa-google,Google',
                        esc_html__('Instagram', 'lauv') => 'social-media-icons-instagram,Instagram',
                        esc_html__('LinkedIn', 'lauv') => 'social-media-icons-linkedin,LinkedIn',
                        esc_html__('Windows', 'lauv') => 'fa fa-windows,Windows',
                        esc_html__('Odnoklassniki', 'lauv') => 'fa fa-odnoklassniki,Odnoklassniki',
                        esc_html__('OpenID', 'lauv') => 'fa fa-openid,OpenID',
                        esc_html__('Pinterest', 'lauv') => 'social-media-icons-pinterest,Pinterest',
                        esc_html__('Reddit', 'lauv') => 'social-media-icons-reddit,Reddit',
                        esc_html__('SoundCloud', 'lauv') => 'social-media-icons-soundcloud,SoundCloud',
                        esc_html__('Tumblr', 'lauv') => 'social-media-icons-tumblr,Tumblr',
                        esc_html__('Twitter', 'lauv') => 'social-media-icons-twitter,Twitter',
                        esc_html__('Vimeo', 'lauv') => 'social-media-icons-vimeo,Vimeo',
                        esc_html__('VK', 'lauv') => 'fa fa-vk,VK',
                        esc_html__('Yahoo', 'lauv') => 'social-media-icons-yahoo,Yahoo',
                        esc_html__('Youtube', 'lauv') => 'social-media-icons-youtube,Youtube',
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Social link 4", "lauv"),
                    "edit_field_class" => "vc_col-xs-6",
                    "param_name" => "social_link_4",
                ),
                array(
                    "type"        => "dropdown",
                    "heading"     => esc_html__( "Social icon 5", "lauv" ),
                    "param_name"  => "social_icon_5",
                    "edit_field_class" => "vc_col-xs-6",
                    "value"      => array(
                        esc_html__('---', 'lauv') => "",
                        esc_html__('500px', 'lauv') => 'fa fa-500px,500px',
                        esc_html__('App.net', 'lauv') => 'fa fa-adn,App.net',
                        esc_html__('Bitbucket', 'lauv') => 'fa fa-bitbucket,Bitbucket',
                        esc_html__('Dropbox', 'lauv') => 'social-media-icons-dropbox,Dropbox',
                        esc_html__('Facebook', 'lauv') => 'social-media-icons-facebook,Facebook',
                        esc_html__('Flickr', 'lauv') => 'social-media-icons-flickr,Flickr',
                        esc_html__('Foursquare', 'lauv') => 'fa fa-foursquare,Foursquare',
                        esc_html__('GitHub', 'lauv') => 'fa fa-github,GitHub',
                        esc_html__('Google', 'lauv') => 'fa fa-google,Google',
                        esc_html__('Instagram', 'lauv') => 'social-media-icons-instagram,Instagram',
                        esc_html__('LinkedIn', 'lauv') => 'social-media-icons-linkedin,LinkedIn',
                        esc_html__('Windows', 'lauv') => 'fa fa-windows,Windows',
                        esc_html__('Odnoklassniki', 'lauv') => 'fa fa-odnoklassniki,Odnoklassniki',
                        esc_html__('OpenID', 'lauv') => 'fa fa-openid,OpenID',
                        esc_html__('Pinterest', 'lauv') => 'social-media-icons-pinterest,Pinterest',
                        esc_html__('Reddit', 'lauv') => 'social-media-icons-reddit,Reddit',
                        esc_html__('SoundCloud', 'lauv') => 'social-media-icons-soundcloud,SoundCloud',
                        esc_html__('Tumblr', 'lauv') => 'social-media-icons-tumblr,Tumblr',
                        esc_html__('Twitter', 'lauv') => 'social-media-icons-twitter,Twitter',
                        esc_html__('Vimeo', 'lauv') => 'social-media-icons-vimeo,Vimeo',
                        esc_html__('VK', 'lauv') => 'fa fa-vk,VK',
                        esc_html__('Yahoo', 'lauv') => 'social-media-icons-yahoo,Yahoo',
                        esc_html__('Youtube', 'lauv') => 'social-media-icons-youtube,Youtube',
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Social link 5", "lauv"),
                    "param_name" => "social_link_5",
                    "edit_field_class" => "vc_col-xs-6",
                ),
                array(
                    "type" => "animation_style",
                    "heading" => esc_html__( "Animation In", "lauv" ),
                    "param_name" => "animation",
                ),
            ),
        ) );
    }
     
     
    // Element HTML
    public function pt_social_icons_html( $atts, $content = null ) {
         
        // Params extraction
        extract(
            shortcode_atts(
                array(
                    'show_label'    => 'on',
                    'align'         => 'tal',
                    'social_icon_1' => '',
                    'social_link_1' => '',
                    'social_icon_2' => '',
                    'social_link_2' => '',
                    'social_icon_3' => '',
                    'social_link_3' => '',
                    'social_icon_4' => '',
                    'social_link_4' => '',
                    'social_icon_5' => '',
                    'social_link_5' => '',
                    'animation'     => '',
                ), 
                $atts
            )
        );

        $html = '';

        $animation = $this->getCSSAnimation($animation);

        if((!empty($social_icon_1) && !empty($social_link_1)) || (!empty($social_icon_2) && !empty($social_link_2)) || (!empty($social_icon_3) && !empty($social_link_3)) || (!empty($social_icon_4) && !empty($social_link_4)) || (!empty($social_icon_5) && !empty($social_link_5))) {
            $html = '<div class="social-buttons-text '.esc_attr($animation.' '.$align).' label-'.esc_attr($show_label).'">';

                if(!empty($social_icon_1) && !empty($social_link_1)) {
                    $array = explode(',', $social_icon_1);
                    $html .= '<a href="'.esc_url($social_link_1).'"><span>'.esc_html($array[1]).'</span></a>';
                }
                if(!empty($social_icon_2) && !empty($social_link_2)) {
                    $array = explode(',', $social_icon_2);
                    $html .= '<a href="'.esc_url($social_link_2).'"><span>'.esc_html($array[1]).'</span></a>';
                }
                if(!empty($social_icon_3) && !empty($social_link_3)) {
                    $array = explode(',', $social_icon_3);
                    $html .= '<a href="'.esc_url($social_link_3).'"><span>'.esc_html($array[1]).'</span></a>';
                }
                if(!empty($social_icon_4) && !empty($social_link_4)) {
                    $array = explode(',', $social_icon_4);
                    $html .= '<a href="'.esc_url($social_link_4).'"><span>'.esc_html($array[1]).'</span></a>';
                }
                if(!empty($social_icon_5) && !empty($social_link_5)) {
                    $array = explode(',', $social_icon_5);
                    $html .= '<a href="'.esc_url($social_link_5).'"><span>'.esc_html($array[1]).'</span></a>';
                }

            $html .= '</div>';
        }
        

        return $html;
         
    }

    
     
} // End Element Class
 
 
// Element Class Init
new PT_Social_Icons();